Skip to main content
POST
/
tcs
/
reports
/
txt
curl --request POST \ --url https://test-api.sandbox.co.in/tcs/reports/txt \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "@entity": "in.co.sandbox.tcs.reports.request", "financial_year": "FY 2023-24", "quarter": "Q3", "previous_receipt_number": "123456789012345", "tan": "AHMA09719B" } '
{ "code": 200, "timestamp": 1763362637000, "transaction_id": "e2b9145f-69d5-4bbe-a6de-be6fc08b426f", "data": { "@entity": "in.co.sandbox.tcs.reports.job", "job_id": "46d96540-e4e0-4188-81f5-959f4732490f", "tan": "AHMA09719B", "quarter": "Q3", "financial_year": "FY 2023-24", "previous_receipt_number": "123456789012345", "status": "created", "created_at": 1763102487000, "json_url": "https://test-api.sandbox.co.in/tcs/reports/in-co-sandbox-tcs-reports-test/tan/financial_year/quarter/80716d9a-4aa0-4905-8ff1-0aca61042a0e.json" } }
This endpoint is part of a job-based async workflow. See the job-based API workflow guide for job creation, payload upload, and status polling.

Headers

authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-api-version
string

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.tcs.reports.request
financial_year
string
required

Financial Year for which TCS is being filed

Example:

"FY 2024-25"

quarter
enum<string>
required

Quarter for which TCS is being filed

Available options:
Q1,
Q2,
Q3,
Q4
tan
string
required

TAN of collectee. Regular Expression: [A-Z]{4}[0-9]{5}[A-Z]{1}

Example:

"AHMA09719B"

previous_receipt_number
string

Receipt Number of previously filed TCS Return

Example:

"123456789123456"

Response

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object